> ## Documentation Index
> Fetch the complete documentation index at: https://audiencelab.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Pixel lookup (V4)

> Retrieves pixel events (V4 format)



## OpenAPI

````yaml /openapi.yaml get /pixels/{id}/v4
openapi: 3.0.0
info:
  title: AudienceLab API
  version: 1.0.0
  description: API endpoints for AudienceLab
servers:
  - url: https://api.audiencelab.io
    description: Production API
security:
  - ApiKeyAuth: []
tags:
  - name: Audience
  - name: Pixel
  - name: Enrichment
paths:
  /pixels/{id}/v4:
    get:
      tags:
        - Pixel
      summary: Pixel lookup (V4)
      description: Retrieves pixel events (V4 format)
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: The UUID of the pixel to fetch events for
          example: 003daacb-d261-421c-9781-311df9c381d8
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
          description: Page number (1-indexed)
          example: 1
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            maximum: 1000
            default: 100
          description: Number of items per page (max 1000)
          example: 100
      responses:
        '200':
          description: Successfully retrieved pixel events (V4 format)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PixelFetchResponseV4'
        '400':
          description: Bad request - invalid parameters or pixel missing
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Unauthorized - missing or invalid API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Forbidden - pixel does not belong to the authenticated account
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Not found - pixel does not exist
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    PixelFetchResponseV4:
      type: object
      properties:
        total_records:
          type: integer
          example: 500
        page_size:
          type: integer
          example: 100
        page:
          type: integer
          example: 1
        total_pages:
          type: integer
          example: 5
        events:
          type: array
          items:
            $ref: '#/components/schemas/PixelEventV4'
    ErrorResponse:
      type: object
      properties:
        message:
          type: string
          example: error message
    PixelEventV4:
      type: object
      properties:
        pixel_id:
          type: string
          example: PIX123456
        hem_sha256:
          type: string
          example: a665a45920422f9d417e4867efdc4fb8a04a1f3fff1fa07e998e86f7f7a27ae3
        event_timestamp:
          type: string
          example: '2024-01-15'
        referrer_url:
          type: string
          example: https://example.com/page
        full_url:
          type: string
          description: Full URL extracted from event data
          example: https://example.com/products/item-123
        edid:
          type: string
          description: External Device ID (UUID from resolution)
          example: f47ac10b-58cc-4372-a567-0e02b2c3d479
        resolution:
          $ref: '#/components/schemas/PixelResolutionV4'
    PixelResolutionV4:
      type: object
      description: Resolution data containing enrichment fields for v4 (UPPER_CASE keys)
      properties:
        FIRST_NAME:
          type: string
          example: John
        LAST_NAME:
          type: string
          example: Doe
        PERSONAL_ADDRESS:
          type: string
          example: 123 Main St
        PERSONAL_CITY:
          type: string
          example: San Francisco
        PERSONAL_STATE:
          type: string
          example: CA
        PERSONAL_ZIP:
          type: string
          example: '94105'
        PERSONAL_ZIP4:
          type: string
          example: '1234'
        AGE_RANGE:
          type: string
          example: 25-34
        CHILDREN:
          type: string
          example: 'Yes'
        GENDER:
          type: string
          example: Male
        HOMEOWNER:
          type: string
          example: 'Yes'
        MARRIED:
          type: string
          example: 'No'
        NET_WORTH:
          type: string
          example: $100K-$250K
        INCOME_RANGE:
          type: string
          example: $75K-$100K
        ALL_LANDLINES:
          type: string
          example: '+14155551234'
        LANDLINE_DNC:
          type: string
          example: 'No'
        ALL_MOBILES:
          type: string
          example: '+14155555678'
        MOBILE_DNC:
          type: string
          example: 'No'
        PERSONAL_EMAILS:
          type: string
          example: john.doe@email.com
        PERSONAL_VERIFIED_EMAILS:
          type: string
          example: john.doe@email.com
        SHA256_PERSONAL_EMAIL:
          type: string
          example: a665a45920422f9d417e4867efdc4fb8a04a1f3fff1fa07e998e86f7f7a27ae3
        COMPANY_NAME:
          type: string
          example: Acme Corp
        COMPANY_DESCRIPTION:
          type: string
          example: Technology solutions provider
        COMPANY_EMPLOYEE_COUNT:
          type: string
          example: 100-500
        COMPANY_DOMAIN:
          type: string
          example: acmecorp.com
        COMPANY_ADDRESS:
          type: string
          example: 456 Business Ave
        COMPANY_CITY:
          type: string
          example: San Francisco
        COMPANY_STATE:
          type: string
          example: CA
        COMPANY_ZIP:
          type: string
          example: '94107'
        COMPANY_PHONE:
          type: string
          example: '+14155550000'
        COMPANY_REVENUE:
          type: string
          example: $10M-$50M
        COMPANY_SIC:
          type: string
          example: '7371'
        COMPANY_NAICS:
          type: string
          example: '541511'
        COMPANY_INDUSTRY:
          type: string
          example: Technology
        BUSINESS_EMAIL:
          type: string
          example: jdoe@acmecorp.com
        BUSINESS_VERIFIED_EMAILS:
          type: string
          example: jdoe@acmecorp.com
        SHA256_BUSINESS_EMAIL:
          type: string
          example: b665a45920422f9d417e4867efdc4fb8a04a1f3fff1fa07e998e86f7f7a27ae4
        JOB_TITLE:
          type: string
          example: Senior Software Engineer
        HEADLINE:
          type: string
          example: Building great software
        DEPARTMENT:
          type: string
          example: Engineering
        SENIORITY_LEVEL:
          type: string
          example: Senior
        INFERRED_YEARS_EXPERIENCE:
          type: string
          example: '10'
        COMPANY_NAME_HISTORY:
          type: string
          example: Previous Corp, Another Inc
        JOB_TITLE_HISTORY:
          type: string
          example: Software Engineer, Junior Developer
        EDUCATION_HISTORY:
          type: string
          example: Stanford University, BS Computer Science
        COMPANY_LINKEDIN_URL:
          type: string
          example: https://linkedin.com/company/acmecorp
        INDIVIDUAL_LINKEDIN_URL:
          type: string
          example: https://linkedin.com/in/johndoe
        INDIVIDUAL_TWITTER_URL:
          type: string
          example: https://twitter.com/johndoe
        INDIVIDUAL_FACEBOOK_URL:
          type: string
          example: https://facebook.com/johndoe
        SKILLS:
          type: string
          example: Python, Go, JavaScript
        INTERESTS:
          type: string
          example: Technology, Startups
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key

````